/* drivers/video/msm_fb/mdp_csc_table.h
 *
 * Copyright (C) 2007 QUALCOMM Incorporated
 * Copyright (C) 2007 Google Incorporated
 *
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

static struct {
	uint32_t reg;
	uint32_t val;
} csc_table[] = {
	{ MSM_MDP_BASE + 0x40400, 0x83 },
	{ MSM_MDP_BASE + 0x40404, 0x102 },
	{ MSM_MDP_BASE + 0x40408, 0x32 },
	{ MSM_MDP_BASE + 0x4040c, 0xffffffb5 },
	{ MSM_MDP_BASE + 0x40410, 0xffffff6c },
	{ MSM_MDP_BASE + 0x40414, 0xe1 },
	{ MSM_MDP_BASE + 0x40418, 0xe1 },
	{ MSM_MDP_BASE + 0x4041c, 0xffffff45 },
	{ MSM_MDP_BASE + 0x40420, 0xffffffdc },
	{ MSM_MDP_BASE + 0x40440, 0x254 },
	{ MSM_MDP_BASE + 0x40444, 0x0 },
	{ MSM_MDP_BASE + 0x40448, 0x331 },
	{ MSM_MDP_BASE + 0x4044c, 0x254 },
	{ MSM_MDP_BASE + 0x40450, 0xffffff38 },
	{ MSM_MDP_BASE + 0x40454, 0xfffffe61 },
	{ MSM_MDP_BASE + 0x40458, 0x254 },
	{ MSM_MDP_BASE + 0x4045c, 0x409 },
	{ MSM_MDP_BASE + 0x40460, 0x0 },
	{ MSM_MDP_BASE + 0x40480, 0x5d },
	{ MSM_MDP_BASE + 0x40484, 0x13a },
	{ MSM_MDP_BASE + 0x40488, 0x20 },
	{ MSM_MDP_BASE + 0x4048c, 0xffffffcd },
	{ MSM_MDP_BASE + 0x40490, 0xffffff54 },
	{ MSM_MDP_BASE + 0x40494, 0xe1 },
	{ MSM_MDP_BASE + 0x40498, 0xe1 },
	{ MSM_MDP_BASE + 0x4049c, 0xffffff35 },
	{ MSM_MDP_BASE + 0x404a0, 0xffffffec },
	{ MSM_MDP_BASE + 0x404c0, 0x254 },
	{ MSM_MDP_BASE + 0x404c4, 0x0 },
	{ MSM_MDP_BASE + 0x404c8, 0x396 },
	{ MSM_MDP_BASE + 0x404cc, 0x254 },
	{ MSM_MDP_BASE + 0x404d0, 0xffffff94 },
	{ MSM_MDP_BASE + 0x404d4, 0xfffffef0 },
	{ MSM_MDP_BASE + 0x404d8, 0x254 },
	{ MSM_MDP_BASE + 0x404dc, 0x43a },
	{ MSM_MDP_BASE + 0x404e0, 0x0 },
	{ MSM_MDP_BASE + 0x40500, 0x10 },
	{ MSM_MDP_BASE + 0x40504, 0x80 },
	{ MSM_MDP_BASE + 0x40508, 0x80 },
	{ MSM_MDP_BASE + 0x40540, 0x10 },
	{ MSM_MDP_BASE + 0x40544, 0x80 },
	{ MSM_MDP_BASE + 0x40548, 0x80 },
	{ MSM_MDP_BASE + 0x40580, 0x10 },
	{ MSM_MDP_BASE + 0x40584, 0xeb },
	{ MSM_MDP_BASE + 0x40588, 0x10 },
	{ MSM_MDP_BASE + 0x4058c, 0xf0 },
	{ MSM_MDP_BASE + 0x405c0, 0x10 },
	{ MSM_MDP_BASE + 0x405c4, 0xeb },
	{ MSM_MDP_BASE + 0x405c8, 0x10 },
	{ MSM_MDP_BASE + 0x405cc, 0xf0 },
	{ MSM_MDP_BASE + 0x40800, 0x0 },
	{ MSM_MDP_BASE + 0x40804, 0x151515 },
	{ MSM_MDP_BASE + 0x40808, 0x1d1d1d },
	{ MSM_MDP_BASE + 0x4080c, 0x232323 },
	{ MSM_MDP_BASE + 0x40810, 0x272727 },
	{ MSM_MDP_BASE + 0x40814, 0x2b2b2b },
	{ MSM_MDP_BASE + 0x40818, 0x2f2f2f },
	{ MSM_MDP_BASE + 0x4081c, 0x333333 },
	{ MSM_MDP_BASE + 0x40820, 0x363636 },
	{ MSM_MDP_BASE + 0x40824, 0x393939 },
	{ MSM_MDP_BASE + 0x40828, 0x3b3b3b },
	{ MSM_MDP_BASE + 0x4082c, 0x3e3e3e },
	{ MSM_MDP_BASE + 0x40830, 0x404040 },
	{ MSM_MDP_BASE + 0x40834, 0x434343 },
	{ MSM_MDP_BASE + 0x40838, 0x454545 },
	{ MSM_MDP_BASE + 0x4083c, 0x474747 },
	{ MSM_MDP_BASE + 0x40840, 0x494949 },
	{ MSM_MDP_BASE + 0x40844, 0x4b4b4b },
	{ MSM_MDP_BASE + 0x40848, 0x4d4d4d },
	{ MSM_MDP_BASE + 0x4084c, 0x4f4f4f },
	{ MSM_MDP_BASE + 0x40850, 0x515151 },
	{ MSM_MDP_BASE + 0x40854, 0x535353 },
	{ MSM_MDP_BASE + 0x40858, 0x555555 },
	{ MSM_MDP_BASE + 0x4085c, 0x565656 },
	{ MSM_MDP_BASE + 0x40860, 0x585858 },
	{ MSM_MDP_BASE + 0x40864, 0x5a5a5a },
	{ MSM_MDP_BASE + 0x40868, 0x5b5b5b },
	{ MSM_MDP_BASE + 0x4086c, 0x5d5d5d },
	{ MSM_MDP_BASE + 0x40870, 0x5e5e5e },
	{ MSM_MDP_BASE + 0x40874, 0x606060 },
	{ MSM_MDP_BASE + 0x40878, 0x616161 },
	{ MSM_MDP_BASE + 0x4087c, 0x636363 },
	{ MSM_MDP_BASE + 0x40880, 0x646464 },
	{ MSM_MDP_BASE + 0x40884, 0x666666 },
	{ MSM_MDP_BASE + 0x40888, 0x676767 },
	{ MSM_MDP_BASE + 0x4088c, 0x686868 },
	{ MSM_MDP_BASE + 0x40890, 0x6a6a6a },
	{ MSM_MDP_BASE + 0x40894, 0x6b6b6b },
	{ MSM_MDP_BASE + 0x40898, 0x6c6c6c },
	{ MSM_MDP_BASE + 0x4089c, 0x6e6e6e },
	{ MSM_MDP_BASE + 0x408a0, 0x6f6f6f },
	{ MSM_MDP_BASE + 0x408a4, 0x707070 },
	{ MSM_MDP_BASE + 0x408a8, 0x717171 },
	{ MSM_MDP_BASE + 0x408ac, 0x727272 },
	{ MSM_MDP_BASE + 0x408b0, 0x747474 },
	{ MSM_MDP_BASE + 0x408b4, 0x757575 },
	{ MSM_MDP_BASE + 0x408b8, 0x767676 },
	{ MSM_MDP_BASE + 0x408bc, 0x777777 },
	{ MSM_MDP_BASE + 0x408c0, 0x787878 },
	{ MSM_MDP_BASE + 0x408c4, 0x797979 },
	{ MSM_MDP_BASE + 0x408c8, 0x7a7a7a },
	{ MSM_MDP_BASE + 0x408cc, 0x7c7c7c },
	{ MSM_MDP_BASE + 0x408d0, 0x7d7d7d },
	{ MSM_MDP_BASE + 0x408d4, 0x7e7e7e },
	{ MSM_MDP_BASE + 0x408d8, 0x7f7f7f },
	{ MSM_MDP_BASE + 0x408dc, 0x808080 },
	{ MSM_MDP_BASE + 0x408e0, 0x818181 },
	{ MSM_MDP_BASE + 0x408e4, 0x828282 },
	{ MSM_MDP_BASE + 0x408e8, 0x838383 },
	{ MSM_MDP_BASE + 0x408ec, 0x848484 },
	{ MSM_MDP_BASE + 0x408f0, 0x858585 },
	{ MSM_MDP_BASE + 0x408f4, 0x868686 },
	{ MSM_MDP_BASE + 0x408f8, 0x878787 },
	{ MSM_MDP_BASE + 0x408fc, 0x888888 },
	{ MSM_MDP_BASE + 0x40900, 0x898989 },
	{ MSM_MDP_BASE + 0x40904, 0x8a8a8a },
	{ MSM_MDP_BASE + 0x40908, 0x8b8b8b },
	{ MSM_MDP_BASE + 0x4090c, 0x8c8c8c },
	{ MSM_MDP_BASE + 0x40910, 0x8d8d8d },
	{ MSM_MDP_BASE + 0x40914, 0x8e8e8e },
	{ MSM_MDP_BASE + 0x40918, 0x8f8f8f },
	{ MSM_MDP_BASE + 0x4091c, 0x8f8f8f },
	{ MSM_MDP_BASE + 0x40920, 0x909090 },
	{ MSM_MDP_BASE + 0x40924, 0x919191 },
	{ MSM_MDP_BASE + 0x40928, 0x929292 },
	{ MSM_MDP_BASE + 0x4092c, 0x939393 },
	{ MSM_MDP_BASE + 0x40930, 0x949494 },
	{ MSM_MDP_BASE + 0x40934, 0x959595 },
	{ MSM_MDP_BASE + 0x40938, 0x969696 },
	{ MSM_MDP_BASE + 0x4093c, 0x969696 },
	{ MSM_MDP_BASE + 0x40940, 0x979797 },
	{ MSM_MDP_BASE + 0x40944, 0x989898 },
	{ MSM_MDP_BASE + 0x40948, 0x999999 },
	{ MSM_MDP_BASE + 0x4094c, 0x9a9a9a },
	{ MSM_MDP_BASE + 0x40950, 0x9b9b9b },
	{ MSM_MDP_BASE + 0x40954, 0x9c9c9c },
	{ MSM_MDP_BASE + 0x40958, 0x9c9c9c },
	{ MSM_MDP_BASE + 0x4095c, 0x9d9d9d },
	{ MSM_MDP_BASE + 0x40960, 0x9e9e9e },
	{ MSM_MDP_BASE + 0x40964, 0x9f9f9f },
	{ MSM_MDP_BASE + 0x40968, 0xa0a0a0 },
	{ MSM_MDP_BASE + 0x4096c, 0xa0a0a0 },
	{ MSM_MDP_BASE + 0x40970, 0xa1a1a1 },
	{ MSM_MDP_BASE + 0x40974, 0xa2a2a2 },
	{ MSM_MDP_BASE + 0x40978, 0xa3a3a3 },
	{ MSM_MDP_BASE + 0x4097c, 0xa4a4a4 },
	{ MSM_MDP_BASE + 0x40980, 0xa4a4a4 },
	{ MSM_MDP_BASE + 0x40984, 0xa5a5a5 },
	{ MSM_MDP_BASE + 0x40988, 0xa6a6a6 },
	{ MSM_MDP_BASE + 0x4098c, 0xa7a7a7 },
	{ MSM_MDP_BASE + 0x40990, 0xa7a7a7 },
	{ MSM_MDP_BASE + 0x40994, 0xa8a8a8 },
	{ MSM_MDP_BASE + 0x40998, 0xa9a9a9 },
	{ MSM_MDP_BASE + 0x4099c, 0xaaaaaa },
	{ MSM_MDP_BASE + 0x409a0, 0xaaaaaa },
	{ MSM_MDP_BASE + 0x409a4, 0xababab },
	{ MSM_MDP_BASE + 0x409a8, 0xacacac },
	{ MSM_MDP_BASE + 0x409ac, 0xadadad },
	{ MSM_MDP_BASE + 0x409b0, 0xadadad },
	{ MSM_MDP_BASE + 0x409b4, 0xaeaeae },
	{ MSM_MDP_BASE + 0x409b8, 0xafafaf },
	{ MSM_MDP_BASE + 0x409bc, 0xafafaf },
	{ MSM_MDP_BASE + 0x409c0, 0xb0b0b0 },
	{ MSM_MDP_BASE + 0x409c4, 0xb1b1b1 },
	{ MSM_MDP_BASE + 0x409c8, 0xb2b2b2 },
	{ MSM_MDP_BASE + 0x409cc, 0xb2b2b2 },
	{ MSM_MDP_BASE + 0x409d0, 0xb3b3b3 },
	{ MSM_MDP_BASE + 0x409d4, 0xb4b4b4 },
	{ MSM_MDP_BASE + 0x409d8, 0xb4b4b4 },
	{ MSM_MDP_BASE + 0x409dc, 0xb5b5b5 },
	{ MSM_MDP_BASE + 0x409e0, 0xb6b6b6 },
	{ MSM_MDP_BASE + 0x409e4, 0xb6b6b6 },
	{ MSM_MDP_BASE + 0x409e8, 0xb7b7b7 },
	{ MSM_MDP_BASE + 0x409ec, 0xb8b8b8 },
	{ MSM_MDP_BASE + 0x409f0, 0xb8b8b8 },
	{ MSM_MDP_BASE + 0x409f4, 0xb9b9b9 },
	{ MSM_MDP_BASE + 0x409f8, 0xbababa },
	{ MSM_MDP_BASE + 0x409fc, 0xbababa },
	{ MSM_MDP_BASE + 0x40a00, 0xbbbbbb },
	{ MSM_MDP_BASE + 0x40a04, 0xbcbcbc },
	{ MSM_MDP_BASE + 0x40a08, 0xbcbcbc },
	{ MSM_MDP_BASE + 0x40a0c, 0xbdbdbd },
	{ MSM_MDP_BASE + 0x40a10, 0xbebebe },
	{ MSM_MDP_BASE + 0x40a14, 0xbebebe },
	{ MSM_MDP_BASE + 0x40a18, 0xbfbfbf },
	{ MSM_MDP_BASE + 0x40a1c, 0xc0c0c0 },
	{ MSM_MDP_BASE + 0x40a20, 0xc0c0c0 },
	{ MSM_MDP_BASE + 0x40a24, 0xc1c1c1 },
	{ MSM_MDP_BASE + 0x40a28, 0xc1c1c1 },
	{ MSM_MDP_BASE + 0x40a2c, 0xc2c2c2 },
	{ MSM_MDP_BASE + 0x40a30, 0xc3c3c3 },
	{ MSM_MDP_BASE + 0x40a34, 0xc3c3c3 },
	{ MSM_MDP_BASE + 0x40a38, 0xc4c4c4 },
	{ MSM_MDP_BASE + 0x40a3c, 0xc5c5c5 },
	{ MSM_MDP_BASE + 0x40a40, 0xc5c5c5 },
	{ MSM_MDP_BASE + 0x40a44, 0xc6c6c6 },
	{ MSM_MDP_BASE + 0x40a48, 0xc6c6c6 },
	{ MSM_MDP_BASE + 0x40a4c, 0xc7c7c7 },
	{ MSM_MDP_BASE + 0x40a50, 0xc8c8c8 },
	{ MSM_MDP_BASE + 0x40a54, 0xc8c8c8 },
	{ MSM_MDP_BASE + 0x40a58, 0xc9c9c9 },
	{ MSM_MDP_BASE + 0x40a5c, 0xc9c9c9 },
	{ MSM_MDP_BASE + 0x40a60, 0xcacaca },
	{ MSM_MDP_BASE + 0x40a64, 0xcbcbcb },
	{ MSM_MDP_BASE + 0x40a68, 0xcbcbcb },
	{ MSM_MDP_BASE + 0x40a6c, 0xcccccc },
	{ MSM_MDP_BASE + 0x40a70, 0xcccccc },
	{ MSM_MDP_BASE + 0x40a74, 0xcdcdcd },
	{ MSM_MDP_BASE + 0x40a78, 0xcecece },
	{ MSM_MDP_BASE + 0x40a7c, 0xcecece },
	{ MSM_MDP_BASE + 0x40a80, 0xcfcfcf },
	{ MSM_MDP_BASE + 0x40a84, 0xcfcfcf },
	{ MSM_MDP_BASE + 0x40a88, 0xd0d0d0 },
	{ MSM_MDP_BASE + 0x40a8c, 0xd0d0d0 },
	{ MSM_MDP_BASE + 0x40a90, 0xd1d1d1 },
	{ MSM_MDP_BASE + 0x40a94, 0xd2d2d2 },
	{ MSM_MDP_BASE + 0x40a98, 0xd2d2d2 },
	{ MSM_MDP_BASE + 0x40a9c, 0xd3d3d3 },
	{ MSM_MDP_BASE + 0x40aa0, 0xd3d3d3 },
	{ MSM_MDP_BASE + 0x40aa4, 0xd4d4d4 },
	{ MSM_MDP_BASE + 0x40aa8, 0xd4d4d4 },
	{ MSM_MDP_BASE + 0x40aac, 0xd5d5d5 },
	{ MSM_MDP_BASE + 0x40ab0, 0xd6d6d6 },
	{ MSM_MDP_BASE + 0x40ab4, 0xd6d6d6 },
	{ MSM_MDP_BASE + 0x40ab8, 0xd7d7d7 },
	{ MSM_MDP_BASE + 0x40abc, 0xd7d7d7 },
	{ MSM_MDP_BASE + 0x40ac0, 0xd8d8d8 },
	{ MSM_MDP_BASE + 0x40ac4, 0xd8d8d8 },
	{ MSM_MDP_BASE + 0x40ac8, 0xd9d9d9 },
	{ MSM_MDP_BASE + 0x40acc, 0xd9d9d9 },
	{ MSM_MDP_BASE + 0x40ad0, 0xdadada },
	{ MSM_MDP_BASE + 0x40ad4, 0xdbdbdb },
	{ MSM_MDP_BASE + 0x40ad8, 0xdbdbdb },
	{ MSM_MDP_BASE + 0x40adc, 0xdcdcdc },
	{ MSM_MDP_BASE + 0x40ae0, 0xdcdcdc },
	{ MSM_MDP_BASE + 0x40ae4, 0xdddddd },
	{ MSM_MDP_BASE + 0x40ae8, 0xdddddd },
	{ MSM_MDP_BASE + 0x40aec, 0xdedede },
	{ MSM_MDP_BASE + 0x40af0, 0xdedede },
	{ MSM_MDP_BASE + 0x40af4, 0xdfdfdf },
	{ MSM_MDP_BASE + 0x40af8, 0xdfdfdf },
	{ MSM_MDP_BASE + 0x40afc, 0xe0e0e0 },
	{ MSM_MDP_BASE + 0x40b00, 0xe0e0e0 },
	{ MSM_MDP_BASE + 0x40b04, 0xe1e1e1 },
	{ MSM_MDP_BASE + 0x40b08, 0xe1e1e1 },
	{ MSM_MDP_BASE + 0x40b0c, 0xe2e2e2 },
	{ MSM_MDP_BASE + 0x40b10, 0xe3e3e3 },
	{ MSM_MDP_BASE + 0x40b14, 0xe3e3e3 },
	{ MSM_MDP_BASE + 0x40b18, 0xe4e4e4 },
	{ MSM_MDP_BASE + 0x40b1c, 0xe4e4e4 },
	{ MSM_MDP_BASE + 0x40b20, 0xe5e5e5 },
	{ MSM_MDP_BASE + 0x40b24, 0xe5e5e5 },
	{ MSM_MDP_BASE + 0x40b28, 0xe6e6e6 },
	{ MSM_MDP_BASE + 0x40b2c, 0xe6e6e6 },
	{ MSM_MDP_BASE + 0x40b30, 0xe7e7e7 },
	{ MSM_MDP_BASE + 0x40b34, 0xe7e7e7 },
	{ MSM_MDP_BASE + 0x40b38, 0xe8e8e8 },
	{ MSM_MDP_BASE + 0x40b3c, 0xe8e8e8 },
	{ MSM_MDP_BASE + 0x40b40, 0xe9e9e9 },
	{ MSM_MDP_BASE + 0x40b44, 0xe9e9e9 },
	{ MSM_MDP_BASE + 0x40b48, 0xeaeaea },
	{ MSM_MDP_BASE + 0x40b4c, 0xeaeaea },
	{ MSM_MDP_BASE + 0x40b50, 0xebebeb },
	{ MSM_MDP_BASE + 0x40b54, 0xebebeb },
	{ MSM_MDP_BASE + 0x40b58, 0xececec },
	{ MSM_MDP_BASE + 0x40b5c, 0xececec },
	{ MSM_MDP_BASE + 0x40b60, 0xededed },
	{ MSM_MDP_BASE + 0x40b64, 0xededed },
	{ MSM_MDP_BASE + 0x40b68, 0xeeeeee },
	{ MSM_MDP_BASE + 0x40b6c, 0xeeeeee },
	{ MSM_MDP_BASE + 0x40b70, 0xefefef },
	{ MSM_MDP_BASE + 0x40b74, 0xefefef },
	{ MSM_MDP_BASE + 0x40b78, 0xf0f0f0 },
	{ MSM_MDP_BASE + 0x40b7c, 0xf0f0f0 },
	{ MSM_MDP_BASE + 0x40b80, 0xf1f1f1 },
	{ MSM_MDP_BASE + 0x40b84, 0xf1f1f1 },
	{ MSM_MDP_BASE + 0x40b88, 0xf2f2f2 },
	{ MSM_MDP_BASE + 0x40b8c, 0xf2f2f2 },
	{ MSM_MDP_BASE + 0x40b90, 0xf2f2f2 },
	{ MSM_MDP_BASE + 0x40b94, 0xf3f3f3 },
	{ MSM_MDP_BASE + 0x40b98, 0xf3f3f3 },
	{ MSM_MDP_BASE + 0x40b9c, 0xf4f4f4 },
	{ MSM_MDP_BASE + 0x40ba0, 0xf4f4f4 },
	{ MSM_MDP_BASE + 0x40ba4, 0xf5f5f5 },
	{ MSM_MDP_BASE + 0x40ba8, 0xf5f5f5 },
	{ MSM_MDP_BASE + 0x40bac, 0xf6f6f6 },
	{ MSM_MDP_BASE + 0x40bb0, 0xf6f6f6 },
	{ MSM_MDP_BASE + 0x40bb4, 0xf7f7f7 },
	{ MSM_MDP_BASE + 0x40bb8, 0xf7f7f7 },
	{ MSM_MDP_BASE + 0x40bbc, 0xf8f8f8 },
	{ MSM_MDP_BASE + 0x40bc0, 0xf8f8f8 },
	{ MSM_MDP_BASE + 0x40bc4, 0xf9f9f9 },
	{ MSM_MDP_BASE + 0x40bc8, 0xf9f9f9 },
	{ MSM_MDP_BASE + 0x40bcc, 0xfafafa },
	{ MSM_MDP_BASE + 0x40bd0, 0xfafafa },
	{ MSM_MDP_BASE + 0x40bd4, 0xfafafa },
	{ MSM_MDP_BASE + 0x40bd8, 0xfbfbfb },
	{ MSM_MDP_BASE + 0x40bdc, 0xfbfbfb },
	{ MSM_MDP_BASE + 0x40be0, 0xfcfcfc },
	{ MSM_MDP_BASE + 0x40be4, 0xfcfcfc },
	{ MSM_MDP_BASE + 0x40be8, 0xfdfdfd },
	{ MSM_MDP_BASE + 0x40bec, 0xfdfdfd },
	{ MSM_MDP_BASE + 0x40bf0, 0xfefefe },
	{ MSM_MDP_BASE + 0x40bf4, 0xfefefe },
	{ MSM_MDP_BASE + 0x40bf8, 0xffffff },
	{ MSM_MDP_BASE + 0x40bfc, 0xffffff },
	{ MSM_MDP_BASE + 0x40c00, 0x0 },
	{ MSM_MDP_BASE + 0x40c04, 0x0 },
	{ MSM_MDP_BASE + 0x40c08, 0x0 },
	{ MSM_MDP_BASE + 0x40c0c, 0x0 },
	{ MSM_MDP_BASE + 0x40c10, 0x0 },
	{ MSM_MDP_BASE + 0x40c14, 0x0 },
	{ MSM_MDP_BASE + 0x40c18, 0x0 },
	{ MSM_MDP_BASE + 0x40c1c, 0x0 },
	{ MSM_MDP_BASE + 0x40c20, 0x0 },
	{ MSM_MDP_BASE + 0x40c24, 0x0 },
	{ MSM_MDP_BASE + 0x40c28, 0x0 },
	{ MSM_MDP_BASE + 0x40c2c, 0x0 },
	{ MSM_MDP_BASE + 0x40c30, 0x0 },
	{ MSM_MDP_BASE + 0x40c34, 0x0 },
	{ MSM_MDP_BASE + 0x40c38, 0x0 },
	{ MSM_MDP_BASE + 0x40c3c, 0x0 },
	{ MSM_MDP_BASE + 0x40c40, 0x10101 },
	{ MSM_MDP_BASE + 0x40c44, 0x10101 },
	{ MSM_MDP_BASE + 0x40c48, 0x10101 },
	{ MSM_MDP_BASE + 0x40c4c, 0x10101 },
	{ MSM_MDP_BASE + 0x40c50, 0x10101 },
	{ MSM_MDP_BASE + 0x40c54, 0x10101 },
	{ MSM_MDP_BASE + 0x40c58, 0x10101 },
	{ MSM_MDP_BASE + 0x40c5c, 0x10101 },
	{ MSM_MDP_BASE + 0x40c60, 0x10101 },
	{ MSM_MDP_BASE + 0x40c64, 0x10101 },
	{ MSM_MDP_BASE + 0x40c68, 0x20202 },
	{ MSM_MDP_BASE + 0x40c6c, 0x20202 },
	{ MSM_MDP_BASE + 0x40c70, 0x20202 },
	{ MSM_MDP_BASE + 0x40c74, 0x20202 },
	{ MSM_MDP_BASE + 0x40c78, 0x20202 },
	{ MSM_MDP_BASE + 0x40c7c, 0x20202 },
	{ MSM_MDP_BASE + 0x40c80, 0x30303 },
	{ MSM_MDP_BASE + 0x40c84, 0x30303 },
	{ MSM_MDP_BASE + 0x40c88, 0x30303 },
	{ MSM_MDP_BASE + 0x40c8c, 0x30303 },
	{ MSM_MDP_BASE + 0x40c90, 0x30303 },
	{ MSM_MDP_BASE + 0x40c94, 0x40404 },
	{ MSM_MDP_BASE + 0x40c98, 0x40404 },
	{ MSM_MDP_BASE + 0x40c9c, 0x40404 },
	{ MSM_MDP_BASE + 0x40ca0, 0x40404 },
	{ MSM_MDP_BASE + 0x40ca4, 0x40404 },
	{ MSM_MDP_BASE + 0x40ca8, 0x50505 },
	{ MSM_MDP_BASE + 0x40cac, 0x50505 },
	{ MSM_MDP_BASE + 0x40cb0, 0x50505 },
	{ MSM_MDP_BASE + 0x40cb4, 0x50505 },
	{ MSM_MDP_BASE + 0x40cb8, 0x60606 },
	{ MSM_MDP_BASE + 0x40cbc, 0x60606 },
	{ MSM_MDP_BASE + 0x40cc0, 0x60606 },
	{ MSM_MDP_BASE + 0x40cc4, 0x70707 },
	{ MSM_MDP_BASE + 0x40cc8, 0x70707 },
	{ MSM_MDP_BASE + 0x40ccc, 0x70707 },
	{ MSM_MDP_BASE + 0x40cd0, 0x70707 },
	{ MSM_MDP_BASE + 0x40cd4, 0x80808 },
	{ MSM_MDP_BASE + 0x40cd8, 0x80808 },
	{ MSM_MDP_BASE + 0x40cdc, 0x80808 },
	{ MSM_MDP_BASE + 0x40ce0, 0x90909 },
	{ MSM_MDP_BASE + 0x40ce4, 0x90909 },
	{ MSM_MDP_BASE + 0x40ce8, 0xa0a0a },
	{ MSM_MDP_BASE + 0x40cec, 0xa0a0a },
	{ MSM_MDP_BASE + 0x40cf0, 0xa0a0a },
	{ MSM_MDP_BASE + 0x40cf4, 0xb0b0b },
	{ MSM_MDP_BASE + 0x40cf8, 0xb0b0b },
	{ MSM_MDP_BASE + 0x40cfc, 0xb0b0b },
	{ MSM_MDP_BASE + 0x40d00, 0xc0c0c },
	{ MSM_MDP_BASE + 0x40d04, 0xc0c0c },
	{ MSM_MDP_BASE + 0x40d08, 0xd0d0d },
	{ MSM_MDP_BASE + 0x40d0c, 0xd0d0d },
	{ MSM_MDP_BASE + 0x40d10, 0xe0e0e },
	{ MSM_MDP_BASE + 0x40d14, 0xe0e0e },
	{ MSM_MDP_BASE + 0x40d18, 0xe0e0e },
	{ MSM_MDP_BASE + 0x40d1c, 0xf0f0f },
	{ MSM_MDP_BASE + 0x40d20, 0xf0f0f },
	{ MSM_MDP_BASE + 0x40d24, 0x101010 },
	{ MSM_MDP_BASE + 0x40d28, 0x101010 },
	{ MSM_MDP_BASE + 0x40d2c, 0x111111 },
	{ MSM_MDP_BASE + 0x40d30, 0x111111 },
	{ MSM_MDP_BASE + 0x40d34, 0x121212 },
	{ MSM_MDP_BASE + 0x40d38, 0x121212 },
	{ MSM_MDP_BASE + 0x40d3c, 0x131313 },
	{ MSM_MDP_BASE + 0x40d40, 0x131313 },
	{ MSM_MDP_BASE + 0x40d44, 0x141414 },
	{ MSM_MDP_BASE + 0x40d48, 0x151515 },
	{ MSM_MDP_BASE + 0x40d4c, 0x151515 },
	{ MSM_MDP_BASE + 0x40d50, 0x161616 },
	{ MSM_MDP_BASE + 0x40d54, 0x161616 },
	{ MSM_MDP_BASE + 0x40d58, 0x171717 },
	{ MSM_MDP_BASE + 0x40d5c, 0x171717 },
	{ MSM_MDP_BASE + 0x40d60, 0x181818 },
	{ MSM_MDP_BASE + 0x40d64, 0x191919 },
	{ MSM_MDP_BASE + 0x40d68, 0x191919 },
	{ MSM_MDP_BASE + 0x40d6c, 0x1a1a1a },
	{ MSM_MDP_BASE + 0x40d70, 0x1b1b1b },
	{ MSM_MDP_BASE + 0x40d74, 0x1b1b1b },
	{ MSM_MDP_BASE + 0x40d78, 0x1c1c1c },
	{ MSM_MDP_BASE + 0x40d7c, 0x1c1c1c },
	{ MSM_MDP_BASE + 0x40d80, 0x1d1d1d },
	{ MSM_MDP_BASE + 0x40d84, 0x1e1e1e },
	{ MSM_MDP_BASE + 0x40d88, 0x1f1f1f },
	{ MSM_MDP_BASE + 0x40d8c, 0x1f1f1f },
	{ MSM_MDP_BASE + 0x40d90, 0x202020 },
	{ MSM_MDP_BASE + 0x40d94, 0x212121 },
	{ MSM_MDP_BASE + 0x40d98, 0x212121 },
	{ MSM_MDP_BASE + 0x40d9c, 0x222222 },
	{ MSM_MDP_BASE + 0x40da0, 0x232323 },
	{ MSM_MDP_BASE + 0x40da4, 0x242424 },
	{ MSM_MDP_BASE + 0x40da8, 0x242424 },
	{ MSM_MDP_BASE + 0x40dac, 0x252525 },
	{ MSM_MDP_BASE + 0x40db0, 0x262626 },
	{ MSM_MDP_BASE + 0x40db4, 0x272727 },
	{ MSM_MDP_BASE + 0x40db8, 0x272727 },
	{ MSM_MDP_BASE + 0x40dbc, 0x282828 },
	{ MSM_MDP_BASE + 0x40dc0, 0x292929 },
	{ MSM_MDP_BASE + 0x40dc4, 0x2a2a2a },
	{ MSM_MDP_BASE + 0x40dc8, 0x2b2b2b },
	{ MSM_MDP_BASE + 0x40dcc, 0x2c2c2c },
	{ MSM_MDP_BASE + 0x40dd0, 0x2c2c2c },
	{ MSM_MDP_BASE + 0x40dd4, 0x2d2d2d },
	{ MSM_MDP_BASE + 0x40dd8, 0x2e2e2e },
	{ MSM_MDP_BASE + 0x40ddc, 0x2f2f2f },
	{ MSM_MDP_BASE + 0x40de0, 0x303030 },
	{ MSM_MDP_BASE + 0x40de4, 0x313131 },
	{ MSM_MDP_BASE + 0x40de8, 0x323232 },
	{ MSM_MDP_BASE + 0x40dec, 0x333333 },
	{ MSM_MDP_BASE + 0x40df0, 0x333333 },
	{ MSM_MDP_BASE + 0x40df4, 0x343434 },
	{ MSM_MDP_BASE + 0x40df8, 0x353535 },
	{ MSM_MDP_BASE + 0x40dfc, 0x363636 },
	{ MSM_MDP_BASE + 0x40e00, 0x373737 },
	{ MSM_MDP_BASE + 0x40e04, 0x383838 },
	{ MSM_MDP_BASE + 0x40e08, 0x393939 },
	{ MSM_MDP_BASE + 0x40e0c, 0x3a3a3a },
	{ MSM_MDP_BASE + 0x40e10, 0x3b3b3b },
	{ MSM_MDP_BASE + 0x40e14, 0x3c3c3c },
	{ MSM_MDP_BASE + 0x40e18, 0x3d3d3d },
	{ MSM_MDP_BASE + 0x40e1c, 0x3e3e3e },
	{ MSM_MDP_BASE + 0x40e20, 0x3f3f3f },
	{ MSM_MDP_BASE + 0x40e24, 0x404040 },
	{ MSM_MDP_BASE + 0x40e28, 0x414141 },
	{ MSM_MDP_BASE + 0x40e2c, 0x424242 },
	{ MSM_MDP_BASE + 0x40e30, 0x434343 },
	{ MSM_MDP_BASE + 0x40e34, 0x444444 },
	{ MSM_MDP_BASE + 0x40e38, 0x464646 },
	{ MSM_MDP_BASE + 0x40e3c, 0x474747 },
	{ MSM_MDP_BASE + 0x40e40, 0x484848 },
	{ MSM_MDP_BASE + 0x40e44, 0x494949 },
	{ MSM_MDP_BASE + 0x40e48, 0x4a4a4a },
	{ MSM_MDP_BASE + 0x40e4c, 0x4b4b4b },
	{ MSM_MDP_BASE + 0x40e50, 0x4c4c4c },
	{ MSM_MDP_BASE + 0x40e54, 0x4d4d4d },
	{ MSM_MDP_BASE + 0x40e58, 0x4f4f4f },
	{ MSM_MDP_BASE + 0x40e5c, 0x505050 },
	{ MSM_MDP_BASE + 0x40e60, 0x515151 },
	{ MSM_MDP_BASE + 0x40e64, 0x525252 },
	{ MSM_MDP_BASE + 0x40e68, 0x535353 },
	{ MSM_MDP_BASE + 0x40e6c, 0x545454 },
	{ MSM_MDP_BASE + 0x40e70, 0x565656 },
	{ MSM_MDP_BASE + 0x40e74, 0x575757 },
	{ MSM_MDP_BASE + 0x40e78, 0x585858 },
	{ MSM_MDP_BASE + 0x40e7c, 0x595959 },
	{ MSM_MDP_BASE + 0x40e80, 0x5b5b5b },
	{ MSM_MDP_BASE + 0x40e84, 0x5c5c5c },
	{ MSM_MDP_BASE + 0x40e88, 0x5d5d5d },
	{ MSM_MDP_BASE + 0x40e8c, 0x5e5e5e },
	{ MSM_MDP_BASE + 0x40e90, 0x606060 },
	{ MSM_MDP_BASE + 0x40e94, 0x616161 },
	{ MSM_MDP_BASE + 0x40e98, 0x626262 },
	{ MSM_MDP_BASE + 0x40e9c, 0x646464 },
	{ MSM_MDP_BASE + 0x40ea0, 0x656565 },
	{ MSM_MDP_BASE + 0x40ea4, 0x666666 },
	{ MSM_MDP_BASE + 0x40ea8, 0x686868 },
	{ MSM_MDP_BASE + 0x40eac, 0x696969 },
	{ MSM_MDP_BASE + 0x40eb0, 0x6a6a6a },
	{ MSM_MDP_BASE + 0x40eb4, 0x6c6c6c },
	{ MSM_MDP_BASE + 0x40eb8, 0x6d6d6d },
	{ MSM_MDP_BASE + 0x40ebc, 0x6f6f6f },
	{ MSM_MDP_BASE + 0x40ec0, 0x707070 },
	{ MSM_MDP_BASE + 0x40ec4, 0x717171 },
	{ MSM_MDP_BASE + 0x40ec8, 0x737373 },
	{ MSM_MDP_BASE + 0x40ecc, 0x747474 },
	{ MSM_MDP_BASE + 0x40ed0, 0x767676 },
	{ MSM_MDP_BASE + 0x40ed4, 0x777777 },
	{ MSM_MDP_BASE + 0x40ed8, 0x797979 },
	{ MSM_MDP_BASE + 0x40edc, 0x7a7a7a },
	{ MSM_MDP_BASE + 0x40ee0, 0x7c7c7c },
	{ MSM_MDP_BASE + 0x40ee4, 0x7d7d7d },
	{ MSM_MDP_BASE + 0x40ee8, 0x7f7f7f },
	{ MSM_MDP_BASE + 0x40eec, 0x808080 },
	{ MSM_MDP_BASE + 0x40ef0, 0x828282 },
	{ MSM_MDP_BASE + 0x40ef4, 0x838383 },
	{ MSM_MDP_BASE + 0x40ef8, 0x858585 },
	{ MSM_MDP_BASE + 0x40efc, 0x868686 },
	{ MSM_MDP_BASE + 0x40f00, 0x888888 },
	{ MSM_MDP_BASE + 0x40f04, 0x898989 },
	{ MSM_MDP_BASE + 0x40f08, 0x8b8b8b },
	{ MSM_MDP_BASE + 0x40f0c, 0x8d8d8d },
	{ MSM_MDP_BASE + 0x40f10, 0x8e8e8e },
	{ MSM_MDP_BASE + 0x40f14, 0x909090 },
	{ MSM_MDP_BASE + 0x40f18, 0x919191 },
	{ MSM_MDP_BASE + 0x40f1c, 0x939393 },
	{ MSM_MDP_BASE + 0x40f20, 0x959595 },
	{ MSM_MDP_BASE + 0x40f24, 0x969696 },
	{ MSM_MDP_BASE + 0x40f28, 0x989898 },
	{ MSM_MDP_BASE + 0x40f2c, 0x9a9a9a },
	{ MSM_MDP_BASE + 0x40f30, 0x9b9b9b },
	{ MSM_MDP_BASE + 0x40f34, 0x9d9d9d },
	{ MSM_MDP_BASE + 0x40f38, 0x9f9f9f },
	{ MSM_MDP_BASE + 0x40f3c, 0xa1a1a1 },
	{ MSM_MDP_BASE + 0x40f40, 0xa2a2a2 },
	{ MSM_MDP_BASE + 0x40f44, 0xa4a4a4 },
	{ MSM_MDP_BASE + 0x40f48, 0xa6a6a6 },
	{ MSM_MDP_BASE + 0x40f4c, 0xa7a7a7 },
	{ MSM_MDP_BASE + 0x40f50, 0xa9a9a9 },
	{ MSM_MDP_BASE + 0x40f54, 0xababab },
	{ MSM_MDP_BASE + 0x40f58, 0xadadad },
	{ MSM_MDP_BASE + 0x40f5c, 0xafafaf },
	{ MSM_MDP_BASE + 0x40f60, 0xb0b0b0 },
	{ MSM_MDP_BASE + 0x40f64, 0xb2b2b2 },
	{ MSM_MDP_BASE + 0x40f68, 0xb4b4b4 },
	{ MSM_MDP_BASE + 0x40f6c, 0xb6b6b6 },
	{ MSM_MDP_BASE + 0x40f70, 0xb8b8b8 },
	{ MSM_MDP_BASE + 0x40f74, 0xbababa },
	{ MSM_MDP_BASE + 0x40f78, 0xbbbbbb },
	{ MSM_MDP_BASE + 0x40f7c, 0xbdbdbd },
	{ MSM_MDP_BASE + 0x40f80, 0xbfbfbf },
	{ MSM_MDP_BASE + 0x40f84, 0xc1c1c1 },
	{ MSM_MDP_BASE + 0x40f88, 0xc3c3c3 },
	{ MSM_MDP_BASE + 0x40f8c, 0xc5c5c5 },
	{ MSM_MDP_BASE + 0x40f90, 0xc7c7c7 },
	{ MSM_MDP_BASE + 0x40f94, 0xc9c9c9 },
	{ MSM_MDP_BASE + 0x40f98, 0xcbcbcb },
	{ MSM_MDP_BASE + 0x40f9c, 0xcdcdcd },
	{ MSM_MDP_BASE + 0x40fa0, 0xcfcfcf },
	{ MSM_MDP_BASE + 0x40fa4, 0xd1d1d1 },
	{ MSM_MDP_BASE + 0x40fa8, 0xd3d3d3 },
	{ MSM_MDP_BASE + 0x40fac, 0xd5d5d5 },
	{ MSM_MDP_BASE + 0x40fb0, 0xd7d7d7 },
	{ MSM_MDP_BASE + 0x40fb4, 0xd9d9d9 },
	{ MSM_MDP_BASE + 0x40fb8, 0xdbdbdb },
	{ MSM_MDP_BASE + 0x40fbc, 0xdddddd },
	{ MSM_MDP_BASE + 0x40fc0, 0xdfdfdf },
	{ MSM_MDP_BASE + 0x40fc4, 0xe1e1e1 },
	{ MSM_MDP_BASE + 0x40fc8, 0xe3e3e3 },
	{ MSM_MDP_BASE + 0x40fcc, 0xe5e5e5 },
	{ MSM_MDP_BASE + 0x40fd0, 0xe7e7e7 },
	{ MSM_MDP_BASE + 0x40fd4, 0xe9e9e9 },
	{ MSM_MDP_BASE + 0x40fd8, 0xebebeb },
	{ MSM_MDP_BASE + 0x40fdc, 0xeeeeee },
	{ MSM_MDP_BASE + 0x40fe0, 0xf0f0f0 },
	{ MSM_MDP_BASE + 0x40fe4, 0xf2f2f2 },
	{ MSM_MDP_BASE + 0x40fe8, 0xf4f4f4 },
	{ MSM_MDP_BASE + 0x40fec, 0xf6f6f6 },
	{ MSM_MDP_BASE + 0x40ff0, 0xf8f8f8 },
	{ MSM_MDP_BASE + 0x40ff4, 0xfbfbfb },
	{ MSM_MDP_BASE + 0x40ff8, 0xfdfdfd },
	{ MSM_MDP_BASE + 0x40ffc, 0xffffff },
};
