/* linux/include/asm-arm/arch-msm/board.h
 *
 * Copyright (C) 2007 Google, Inc.
 * Author: Brian Swetland <swetland@google.com>
 *	   Lukas 'dcordes' Gorris <lukas.gorris@gmail.com>
 * This software is licensed under the terms of the GNU General Public
 * License version 2, as published by the Free Software Foundation, and
 * may be copied, distributed, and modified under those terms.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */

#ifndef __ASM_ARCH_MSM_BOARD_H
#define __ASM_ARCH_MSM_BOARD_H
#include <linux/types.h>

/****** KAISER CPLD ******/
#define KAISER_EGPIO_BASE GPIO_BASE_INCREMENT
#define KAISER_EGPIO(reg,bit) (KAISER_EGPIO_BASE + 16*(reg) + (bit))

/*  bank A  */
#define EGPIO_0_0_BOARDID0 KAISER_EGPIO(0, 0)
#define EGPIO_0_1_BOARDID1 KAISER_EGPIO(0, 1)
#define EGPIO_0_2_BOARDID2 KAISER_EGPIO(0, 2)
#define EGPIO_0_3_BOARDID3 KAISER_EGPIO(0, 3)
#define EGPIO_0_4_LED0_TST KAISER_EGPIO(0, 4)
#define EGPIO_0_5_LED1_TST KAISER_EGPIO(0, 5)
#define EGPIO_0_6_LED2 KAISER_EGPIO(0, 6)
#define EGPIO_0_7_LED3 KAISER_EGPIO(0, 7)

/* bank B */
#define EGPIO_1_0_SD_PWR KAISER_EGPIO(1, 0)
//#define EGPIO_1_1_UKN KAISER_EGPIO(1, 1)
#define EGPIO_1_2_KBD_BAKLIGHT KAISER_EGPIO(1, 2)
//#define EGPIO_1_3_UKN KAISER_EGPIO(1, 3)
#define EGPIO_1_4_EXTKEYLIGHT KAISER_EGPIO(1, 4)
//#define EGPIO_1_5_UKN KAISER_EGPIO(1, 5)
#define EGPIO_1_6_INIT KAISER_EGPIO(1, 6)
//#define EGPIO_1_7_bluetooth KAISER_EGPIO(1, 7)

/* bank C */
//#define EGPIO_2_0_LCD_SOMETHING  KAISER_EGPIO(2, 0)
#define EGPIO_2_1_RESET_PERMIT KAISER_EGPIO(2, 1)
#define EGPIO_2_2_BT_CLK  KAISER_EGPIO(2, 2)
#define EGPIO_2_3_WIFI_PWR1 KAISER_EGPIO(2, 3)
#define EGPIO_2_4_LCD_PWR1 KAISER_EGPIO(2, 4)
/* #define EGPIO_2_5_UKN KAISER_EGPIO(2, 5)
#define EGPIO_2_6_UKN KAISER_EGPIO(2, 6)
#define EGPIO_2_7_UKN KAISER_EGPIO(2, 7)*/

/* bank D */
#define EGPIO_3_0_WIFI_RESET KAISER_EGPIO(3, 0)
#define EGPIO_3_1_WIFI_PWR2 KAISER_EGPIO(3, 1)
#define EGPIO_3_2_FN_LED KAISER_EGPIO(3, 2)
#define EGPIO_3_3_CAPS_LED KAISER_EGPIO(3, 3)
/*#define EGPIO_3_4_UKN KAISER_EGPIO(3, 4)
#define EGPIO_3_5_UKN KAISER_EGPIO(3, 5)
#define EGPIO_3_6_UKN KAISER_EGPIO(3, 6) */
#define EGPIO_3_7_USB_PUEN KAISER_EGPIO(3, 7)

/* bank E */
/*#define EGPIO_4_0_UKN KAISER_EGPIO(4, 0)
#define EGPIO_4_1_UKN KAISER_EGPIO(4, 1)
#define EGPIO_4_2_UKN KAISER_EGPIO(4, 2)*/
#define EGPIO_4_3_INIT KAISER_EGPIO(4, 3)
/*#define EGPI4_5_4_UKN KAISER_EGPIO(4, 4)
#define EGPIO_4_5_UKN KAISER_EGPIO(4, 5)
#define EGPIO_4_6_UKN KAISER_EGPIO(4, 6)
#define EGPIO_4_7_UKN KAISER_EGPIO(4, 7)*/

/* bank F */
#define EGPIO_5_0_PAD_UP KAISER_EGPIO(5, 0)
#define EGPIO_5_1_PAD_DOWN  KAISER_EGPIO(5, 1)
#define EGPIO_5_2_PAD_LEFT  KAISER_EGPIO(5, 2)
#define EGPIO_5_3_PAD_RIGHT  KAISER_EGPIO(5, 3)
#define EGPIO_5_4_PAD_CENTER  KAISER_EGPIO(5, 4)
#define EGPIO_5_5_TILT KAISER_EGPIO(5, 5)
#define EGPIO_5_6_INIT  KAISER_EGPIO(5, 6)
//#define EGPIO_5_7_UKN KAISER_EGPIO(5, 7)

/* bank G */
#define EGPIO_6_0_KBD_UP KAISER_EGPIO(6, 0)
#define EGPIO_6_1_KBD_DOWN KAISER_EGPIO(6, 1)
#define EGPIO_6_2_KBD_LEFT KAISER_EGPIO(6, 2)
#define EGPIO_6_3_KBD_RIGHT KAISER_EGPIO(6, 3)
#define EGPIO_6_4_KEY_CAM0 KAISER_EGPIO(6, 4)
#define EGPIO_6_5_KEY_CAM1 KAISER_EGPIO(6, 5)
//#define EGPIO_6_6_UKN KAISER_EGPIO(6, 6)
//#define EGPIO_6_7_UKN KAISER_EGPIO(6, 7)

/* bank H */
/*#define EGPIO_7_0_UKN KAISER_EGPIO(7, 0)
#define EGPIO_7_1_UKN KAISER_EGPIO(7, 1)
#define EGPIO_7_2_UKN KAISER_EGPIO(7, 2)*/
#define EGPIO_7_3_INIT  KAISER_EGPIO(7, 3)
/*#define EGPIO_7_4_UKN KAISER_EGPIO(7, 4)
#define EGPIO_7_5_UKN KAISER_EGPIO(7, 5)
#define EGPIO_7_6_UKN KAISER_EGPIO(7, 6)
#define EGPIO_7_7_UKN KAISER_EGPIO(7, 7)*/


/* platform device data structures */

struct mddi_panel_info;
struct msm_mddi_platform_data
{
	void (*mddi_client_power)(int on);
	void (*mddi_enable)(struct mddi_panel_info *panel, int on);
	void (*panel_power)(struct mddi_panel_info *panel, int on);
	unsigned has_vsync_irq:1;
	unsigned long fb_base;
	unsigned long fb_size;
};

struct msm_hsusb_platform_data
{
	/* hard reset the ULPI PHY */
	void (*phy_reset)(void);

	/* val, reg pairs terminated by -1 */
	int *phy_init_seq;
	
	/* USB device descriptor fields */
	__u16 vendor_id;
	__u16 product_id;
	__u16 version;
	char* serial_number;
	char* product_name;
	char* manufacturer_name;

	/* list of function drivers to bind to this configuration */
	int num_functions;
	char **function;
};

struct android_pmem_platform_data
{
	const char* name;
	/* starting physical address of memory region */
	unsigned long start;
	/* size of memory region */
	unsigned long size;
	/* set to indicate the region should not be managed with an allocator */
	unsigned no_allocator;
	/* set to indicate maps of this region should be cached, if a mix of
	 * cached and uncached is desired, set this and open the device with
	 * O_SYNC to get an uncached region */
	unsigned cached;
};

/* common init routines for use by arch/arm/mach-msm/board-*.c */

void __init msm_add_devices(void);
void __init msm_map_common_io(void);
void __init msm_init_irq(void);
void __init msm_init_gpio(void);

struct mmc_platform_data;
int __init msm_add_sdcc(unsigned int controller, struct mmc_platform_data *plat);

#if defined(CONFIG_USB_FUNCTION_MSM_HSUSB)
void msm_hsusb_set_vbus_state(int online);
#else
static inline void msm_hsusb_set_vbus_state(int online) {}
#endif

#endif
